/* File: atobj-pkt.h	
 *   -- created on Sat Apr 26 1997 
 *  
 *  $Header: /usr/src/mash/repository/mash/mash-1/atobj/atobj-pkt.h,v 1.5 1997/08/09 03:13:58 tecklee Exp $
 *
 * Description:
 */

#ifndef ATOBJ_PKT_H
#define ATOBJ_PKT_H

/* for now, include MB definitions */
/* REVIEW: get rid of this! */
#include "mb/mb.h"

#ifdef _MSC_VER
#pragma warning( disable : 4200 )
#endif

typedef u_int32_t AnimationId;
typedef u_int32_t EventId;

typedef srm_src SrcId;

struct AtoPkt_event {
        AnimationId pe_anmId;
        EventId pe_eventId;
        u_int32_t pe_strLen;
        /* followed by a string of len rounded up by 4 */
        char pe_achContent[0];
};

struct AtoPkt_request {
        SrcId pr_srcId;
        AnimationId pr_anmId;
        u_int32_t pr_strLen;
        /* followed by a string of len rounded up by 4 */
        char pr_achContent[0];
};

struct AtoPkt_reply {
        SrcId pr_srcId;             /* original source to get stuff from */
        AnimationId pr_anmId;
        /* all the events should be bunched up into a long string */
        u_int32_t pr_strLen;
        /* followed by a string of len rounded up by 4 */
        char pr_achContent[0];
};

/* right now we assume there is only one animation per source */
struct AtoPkt_SA {
        SrcId sa_srcId;                /* origin of data */
        AnimationId sa_anmId;
        u_int32_t sa_strLen;
        char sa_achSA[0];
};


#ifdef _MSC_VER
#pragma warning( default : 4200 )
#endif

#endif /* #ifdef ATOBJ_PKT_H */ 
