#ifndef mc_pend_h
#define mc_pend_h

#include "mc/reply-mc.h"

class MC_Pending : public MC_Reply {
public:
	MC_Pending(MC_Manager *mcmgr, 
		   const char *key, 
		   const char *http_server) :  
		MC_Reply(mcmgr, key){ 
			http_server_ = new char[strlen(http_server) + 1];
			strcpy(http_server_, http_server);
		}

	~MC_Pending(void) { 
		delete[] http_server_; 
	}

	virtual int fill_ADU(void);
private: 
	char *http_server_;
};

#endif // mc_pend_h
