#ifndef __ALL_TYPES_H__
#define __ALL_TYPES_H__


// The Bool data-type is #defined in X11/Xlib.h to be int:

#include "rtp/config.h"


#ifndef Bool
#define Bool int
#endif

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

typedef unsigned char Byte;

#if defined(_MSC_VER) && (_MSC_VER > 1100)
#   define CONST_CAST(T) \
       const_cast<T>
#   define DYN_CAST(T) \
       dynamic_cast<T>
#else
#   define CONST_CAST(T) \
      (T)
#   define DYN_CAST(T) \
      (T) 	       
#endif 
               
#endif // __ALL_TYPES_H__

