import DaliSubprogram

Class EmptyJPEGSubprogram -superclass DaliSubprogram

EmptyJPEGSubprogram instproc init {args} {
    eval $self next $args;

    # Set up inputs
    
    $self instvar input_id_list_;
    $self instvar input_info_;
    
    lappend input_id_list_ i1
    
    set input_info_(i1,spec) "";
    set input_info_(i1,trigger) 0;
    set input_info_(i1,buffertype) Uncompressed;
    set input_info_(i1,buffername) [new VidRep/Uncompressed];
    set input_info_(i1,decoder) "";
    
    # Set up outputs
    
    $self instvar output_id_list_;
    $self instvar output_info_;
    
    lappend output_id_list_ o1;
    
    set output_info_(o1,spec) "";
    set output_info_(o1,buffertype) Uncompressed;
    set output_info_(o1,buffername) [new VidRep/Uncompressed];
    set output_info_(o1,encoder) "";
    set output_info_(o1,format) JPEG;
    set output_info_(o1,vagent) "";
    
    # Set up parameters
    
    $self instvar parameter_id_list_;
    $self instvar parameter_info_;

    set parameter_id_list_ "";
}

EmptyJPEGSubprogram instproc trigger {} {
    $self instvar input_info_;
    $self instvar output_info_;
    $self instvar init_done_;
    
    set in_frame $input_info_(i1,buffername);
    set out_frame $output_info_(o1,buffername);
    
    if {![info exists init_done_]} {
	if {[$in_frame set w_] == 0} {
	    return;
	}
	$out_frame copy_geometry $in_frame;
	$out_frame allocate;
	set init_done_ 1;
    }

    set encoder $output_info_(o1,encoder);

    if {$encoder != ""} {
	$encoder recv $in_frame;
    }
    $self send_completion_token;
}
